Bug 119086 - ppc64 binaries get misbuilt
Summary: ppc64 binaries get misbuilt
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-24 19:53 UTC by Bill Nottingham
Modified: 2016-11-24 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-08 14:43:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-03-24 19:53:36 UTC
amanda-server-2.4.4p2-2.1 requires libc.so.6(GLIBC_PRIVATE)(64bit)
bash-2.05b-38 requires libc.so.6(GLIBC_PRIVATE)(64bit)
cdda2wav-2.01-0.a25.4.1 requires libc.so.6(GLIBC_PRIVATE)(64bit)
dvd+rw-tools-5.17.4.8.6-2 requires libc.so.6(GLIBC_PRIVATE)(64bit)
ftpcopy-0.6.2-5 requires libc.so.6(GLIBC_PRIVATE)(64bit)
gnome-vfs2-2.5.91-2 requires libc.so.6(GLIBC_PRIVATE)(64bit)
mtools-3.9.9-8 requires libc.so.6(GLIBC_PRIVATE)(64bit)
nfs-utils-1.0.6-19.fc2 requires libc.so.6(GLIBC_PRIVATE)(64bit)
openssh-3.6.1p2-34 requires libc.so.6(GLIBC_PRIVATE)(64bit)
openssh-clients-3.6.1p2-34 requires libc.so.6(GLIBC_PRIVATE)(64bit)
openssh-server-3.6.1p2-34 requires libc.so.6(GLIBC_PRIVATE)(64bit)
sane-backends-1.0.13-5.1 requires libc.so.6(GLIBC_PRIVATE)(64bit)
sane-frontends-1.0.11-4 requires libc.so.6(GLIBC_PRIVATE)(64bit)
system-config-display-1.0.11-1 requires /usr/X11R6/bin/XFree86
xchat-2.0.7-5 requires libc.so.6(GLIBC_PRIVATE)(64bit)
xorg-x11-xdm-0.0.6.6-0.0.2004_03_11.8 requires
libc.so.6(GLIBC_PRIVATE)(64bit)
xsane-0.92-7 requires libc.so.6(GLIBC_PRIVATE)(64bit)
xsane-gimp-0.92-7 requires libc.so.6(GLIBC_PRIVATE)(64bit)

  2005: 0000000000000000   148 NOTYPE  GLOBAL DEFAULT  UND
__libc_close@GLIBC_PRIVATE (5)

is one of the symbols. __libc_write@GLIBC_PRIVATE as well.

Comment 1 Jakub Jelinek 2004-03-25 12:18:22 UTC
Reproduced on mtools even on vanilla binutils as of today.
The strange thing is that simpler testcases (e.g. int main (void) { write (1, "x", 1); } )
don't suffer from this.

Comment 2 Jakub Jelinek 2004-03-26 17:51:30 UTC
Should be hopefully fixed in binutils-2.15.90.0.1.1-2.


Note You need to log in before you can comment on or make changes to this bug.